RequestInfoDTO
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class RequestInfoDTO

- java.lang.Object
- - org.osgi.dto.DTO
  - - org.osgi.service.http.runtime.dto.RequestInfoDTO

-     public class RequestInfoDTO
      extends org.osgi.dto.DTO

  Represents the services used to process a specific request.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `FilterDTO[]` | `filterDTOs` The servlet filters processing this request.
    `java.lang.String` | `path` The path of the request relative to the root.
    `ResourceDTO` | `resourceDTO` The resource processing this request.
    `long` | `servletContextId` The service id of the servlet context processing the request represented by this DTO.
    `ServletDTO` | `servletDTO` The servlet processing this request.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestInfoDTO()`

  - ### Method Summary

    - ### Methods inherited from class org.osgi.dto.DTO

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### path

          public java.lang.String path

      The path of the request relative to the root.

    - #### servletContextId

          public long servletContextId

      The service id of the servlet context processing the request represented by this DTO.

    - #### filterDTOs

          public FilterDTO[] filterDTOs

      The servlet filters processing this request. If no servlet filters are called for processing this request, an empty array is returned.

    - #### servletDTO

          public ServletDTO servletDTO

      The servlet processing this request. If the request is processed by a servlet, this field points to the DTO of the servlet. If the request is processed by another type of component like a resource, this field is `null`.

    - #### resourceDTO

          public ResourceDTO resourceDTO

      The resource processing this request. If the request is processed by a resource, this field points to the DTO of the resource. If the request is processed by another type of component like a servlet, this field is `null`.

  - ### Constructor Detail

    - #### RequestInfoDTO

          public RequestInfoDTO()